<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>  
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="rttheme_template_dir" content="<?php echo THEMEURI; ?>" />
<meta name="rttheme_slider_timeout" content="<?php echo get_option('rttheme_slider_timeout');?>" />
<meta name="rttheme_slider_effect" content="<?php echo get_option('rttheme_slider_effect');?>" />
<meta name="rttheme_slider_buttons" content="<?php echo get_option('rttheme_slider_buttons');?>" />

<?php if (get_option( 'rttheme_favicon_url')):?><link rel="icon" type="image/png" href="<?php echo get_option( 'rttheme_favicon_url');?>"><?php endif;?>

<title><?php if (is_home() || is_front_page() ): bloginfo('name'); else: wp_title('');endif; ?></title>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" /> 
<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); //thread comments?>		

<?php wp_head(); ?>   
</head>
<body <?php body_class(); ?>>

<!-- wrapper -->
<div id="wrapper">
<?php if(get_option(THEMESLUG.'_top_bar')):?>	
	<!-- Top Bar -->	
	<div id="top_bar">
		<div class="top_content">                

				<?php if(get_option(THEMESLUG.'_show_search')):?>
				<!-- search -->
				<div class="search_bar">
					<form action="<?php echo BLOGURL;?>" method="get" class="showtextback">
						<fieldset>
							<input type="text" class="search_text" name="s" id="s" value="<?php _e('search','rt_theme');?>" />
							<input type="image" src="<?php echo THEMEURI; ?>/images/pixel.gif" class="searchsubmit" alt="" />
						</fieldset>
					</form>
				</div>
				<!-- / search-->
				<?php endif;?>

				<?php if ( has_nav_menu( 'rt-theme-top-navigation' ) ): // check if user created a custom menu and assinged to the rt-theme's location ?>
					<?php            
					//call the top menu
					$position ="";
					if(!get_option(THEMESLUG.'_show_search')) $position="position_2";
					
					$topmenuVars = array( 
						'depth'		   => 1,
						'menu_id'         => '',
						'menu_class'      => 'top_links '.$position.'', 
						'echo'            => false,
						'container'       => '', 
						'container_class' => '', 
						'container_id'    => '',
						'theme_location'  => 'rt-theme-top-navigation' 
					);
					 
					$top_menu = wp_nav_menu($topmenuVars); 
					echo add_class_first_item($top_menu);
					?>  		  
				<?php else:?>
					<?php            
					//call the top menu
					$position ="";
					if(!get_option(THEMESLUG.'_show_search')) $position="position_2";
					
					$topmenuVars = array(
						'menu'            => 'RT Theme Top Navigation Menu',
						'depth'		   => 1,
						'menu_id'         => '',
						'menu_class'      => 'top_links '.$position.'', 
						'echo'            => false,
						'container'       => '', 
						'container_class' => '', 
						'container_id'    => '',
						'theme_location'  => 'rt-theme-top-navigation' 
					);
					 
					$top_menu = wp_nav_menu($topmenuVars); 
					echo add_class_first_item($top_menu);
					?>  		
				<?php endif;?>

				<?php if(get_option(THEMESLUG.'_show_flags')):?>
					<!-- / flags -->	
					    <?php if(function_exists('icl_get_languages')){ languages_list(); } ?>		  
					<!-- / flags -->
				<?php endif;?>
        
		</div>
	</div>
	<!-- / Top Bar -->
	<?php endif;?>
	
<div id="container">	    
    
	<!-- header -->
	<div id="header">
		
		<!-- logo -->
		<div id="logo">
			<?php if(get_option('rttheme_logo_url')):?>
				<a href="<?php echo BLOGURL; ?>" title="<?php echo bloginfo('name');?>"><img src="<?php echo get_option('rttheme_logo_url'); ?>" alt="<?php echo bloginfo('name');?>" class="png" /></a>
			<?php else:?>
				<h1 class="cufon logo"><a href="<?php echo BLOGURL; ?>" title="<?php echo bloginfo('name');?>"><?php echo bloginfo('name');?></a></h1>
			<?php endif;?>
		</div>
		<!-- /logo -->
 
		<!-- header slogan -->
		<div class="top_slogan">
			<?php
			if(function_exists('icl_register_string')){
			    $header_text = icl_t('rt_theme', 'Header Text', get_option('rttheme_header_text'));
			}else{
			    $header_text = get_option('rttheme_header_text');
			}
			
			if($header_text)   echo do_shortcode($header_text);
			?>
		</div>
		<!-- /header slogan -->
	 
		<div class="clear"></div>
	    
	</div>   
	<!-- /header -->
	
	<!--  navigation bar -->
	<div class="border">
 
		<!-- navigation --> 
		
		<?php if ( has_nav_menu( 'rt-theme-main-navigation' ) ): // check if user created a custom menu and assinged to the rt-theme's location ?>
			<?php            
			//call the main menu
			$menuVars = array(
				'menu_id'         => 'navigation',
				'menu_class'         => '',
				'echo'            => false,
				'container'       => 'div', 
				'container_class' => '', 
				'container_id'    => 'navigation_bar',
				'theme_location'  => 'rt-theme-main-navigation' 
			);
			
			$main_menu=wp_nav_menu($menuVars);
			echo add_class_first_item($main_menu);
			?>
		<?php else:?>
			<?php            
			//call the main menu
			$menuVars = array(
				'menu'            => 'RT Theme Main Navigation Menu',  
				'menu_id'         => 'navigation',
				'menu_class'         => '',
				'echo'            => false,
				'container'       => 'div', 
				'container_class' => '', 
				'container_id'    => 'navigation_bar',
				'theme_location'  => 'rt-theme-main-navigation' 
			);
			
			$main_menu=wp_nav_menu($menuVars);
			echo add_class_first_item($main_menu);
			?>
		<?php endif;?>     
	</div>
	<div class="clear"></div>
	<!-- / navigation bar -->
	