/*
    File Name: script.js
    by Tolga Can
    RT-Theme 14
*/
var rttheme_template_dir = jQuery("meta[name=rttheme_template_dir]").attr('content');
var rttheme_slider_timeout=jQuery("meta[name=rttheme_slider_timeout]").attr('content')*1000;
var rttheme_slider_effect=jQuery("meta[name=rttheme_slider_effect]").attr('content');
var rttheme_slider_buttons=jQuery("meta[name=rttheme_slider_buttons]").attr('content');
 
//home page slider  
jQuery(document).ready(function(){
   
	//Slide Backgrounds
	jQuery('.slider_backgrounds li').each(function(){
		var background_file = jQuery(this).find('img').attr("src");//background image
		var link =  jQuery(this).find('a').attr("href");//slide link
		
		image_class = jQuery(this).attr("class");
		var slide_image = '#fff url('+ background_file + ') no-repeat';	
		var this_slide = jQuery('.background_image.'+image_class) ;
	
		if(link){
			this_slide.css({'background' : slide_image, 'cursor' : 'pointer'});
			this_slide.click(function(){
			    window.location = link;  
			});
		}else{
			this_slide.css('background',slide_image);
		}
	});
    
	var slider_area;
	var slider_buttons;

	// Which slider
	if (jQuery('#slider_area').length>0){
		
		// Home Page Slider
		slider_area="#slider_area";	
		
		if(rttheme_slider_buttons){
			slider_buttons="#numbers";
		}
	
		jQuery(slider_area).cycle({ 
			fx:     rttheme_slider_effect,  // Effect 
			timeout:  rttheme_slider_timeout,  // Timeout value (ms) = 4 seconds
			easing: 'backout', 
			pager:  slider_buttons, 
			cleartype:  1,
			pause:           true,     // true to enable "pause on hover"
			pauseOnPagerHover: true,   // true to pause when hovering over pager link					
			pagerAnchorBuilder: function(idx) { 
				return '<a href="#" title=""><img src="'+rttheme_template_dir+'/images/pixel.gif" width="14" heigth="14"></a>'; 
			}
		});
		
	}   
		
	
});


//Product Detail Page - Image Slider
jQuery(document).ready(function(){ 
	if (jQuery('.product_slider').length>0){
		jQuery('.product_slider').cycle({ 
		       fx:     rttheme_slider_effect,  // Effect 
		       timeout:  4000,  // Timeout value (ms) = 4 seconds
		       easing: 'backout',
		       pager:  '.slider_buttons',
		       cleartype:  1,
		       pause:    true,     // true to enable "pause on hover"
		       pauseOnPagerHover: true,   // true to pause when hovering over pager link					
		       pagerAnchorBuilder: function(idx) { 
		       return '<a href="#" title=""><img src="'+rttheme_template_dir+'/images/pixel.gif" width="14" heigth="14"></a>'; 
		       }	    
		});
	}
});


//Photo Slider
jQuery(document).ready(function(){ 
    if (jQuery('.photo_gallery_cycle ul').length>0){
        jQuery(".photo_gallery_cycle ul").cycle({ 
            fx:     'fade', 
            timeout:  rttheme_slider_timeout,
            pager:  '.slider_buttons', 
            cleartype:  1,
            pause:           true,     // true to enable "pause on hover"
            pauseOnPagerHover: true,   // true to pause when hovering over pager link						
                pagerAnchorBuilder: function(idx) { 
                    return '<a href="#" title=""><img src="'+rttheme_template_dir+'/images/pixel.gif" width="14" heigth="14"></a>'; 
                }
        });
    }
});
 
//pretty photo
jQuery(document).ready(function(){
        jQuery("a[rel^='prettyPhoto']").prettyPhoto({animationSpeed:'slow',theme:'light_rounded',slideshow:false,overlay_gallery: false,social_tools:''});
});


//buttons hover effect
jQuery(document).ready(function(){		
	if(!jQuery.browser.msie){     
	jQuery('.small_button,.medium_button,.big_button').hover(function(){
		jQuery(this).stop().animate({opacity:'0.7'},{duration:500}  );
			  
	},function(){
		jQuery(this).stop().css('opacity','1');
	});
	}
});


//Categories
jQuery(document).ready(function(){		
	jQuery('.portfolio_categories').click(function(){
		jQuery('.portfolio_categories').hide(); 
		jQuery('.portfolio_categories_open').stop().css({display:'block'});  
	});
	
	jQuery('.portfolio_categories_open').click(function(){
		jQuery('.portfolio_categories_open').hide(); 
		jQuery('.portfolio_categories').stop().css({display:'block'});         
	}); 
}); 

//drop down menu
jQuery(document).ready(function() {
	jQuery("#navigation li").each(function()
	{
		jQuery(this).hover(function()
		{
			jQuery(this).find('ul:first').stop().css({
			      paddingTop:"8px",                              
			      height:"auto",
			      overflow:"hidden",
			      display:"none"
			      }).slideDown(200, function()
			{
			jQuery(this).css({
			      height:"auto",
			      overflow:"visible"
			});
		});
		       
		},
		    
		function()
		{	
			jQuery(this).find('ul:first').stop().slideUp(200, function()
			{	
			       jQuery(this).css({
			       display:"none",
			       overflow:"hidden"
			       });
			});
		});	
	});
        
        jQuery("#navigation ul ").css({
            display: "none"}
        ); 
});
 

// TABS - perform JavaScript after the document is scriptable.
jQuery(function() {
	jQuery("ul.tabs").tabs("> .pane", {effect: 'fade'});
	
	jQuery(".accordion").tabs(".pane", {tabs: 'h3', effect: 'slide'});
	jQuery(".scrollable").scrollable();
	
	
	jQuery(".items.big_image img").click(function() {
	
		// see if same thumb is being clicked
		if (jQuery(this).hasClass("active")) { return; }
		
		// calclulate large image's URL based on the thumbnail URL (flickr specific)
		var url = jQuery(this).attr("src").replace("_t", "");
		
		// get handle to element that wraps the image and make it semi-transparent
		var wrap = jQuery("#image_wrap").fadeTo("medium", 0.5);
		
		// the large image from www.flickr.com
		var img = new Image();
		
		
		// call this function after it's loaded
		img.onload = function() {
		
		// make wrapper fully visible
		wrap.fadeTo("fast", 1);
		
		// change the image
		wrap.find("img").attr("src", url);
		
		};
		
		// begin loading the image from www.flickr.com
		img.src = url;
		
		// activate item
		jQuery(".items img").removeClass("active");
		jQuery(this).addClass("active");
	
	// when page loads simulate a "click" on the first image
	}).filter(":first").click();

}); 


//search field function
jQuery(document).ready(function() {
var search_text=jQuery(".search_bar .search_text").val();

	jQuery(".search_bar .search_text").focus(function() {
		jQuery(".search_bar .search_text").val('');
	});
});



//RT Portfolio Effect
jQuery(document).ready(function() {


	jQuery(window).load(function() {
		var portfolio_item=jQuery("a.imgeffect");
		
		portfolio_item.each(function(){
		
		var img_width = jQuery(this).find('img').width();  
		var img_height = jQuery(this).find('img').innerHeight();
		var imageClass = jQuery(this).attr("class");
		jQuery(this).prepend('<span class="imagemask '+imageClass+'"></span>');
		
		if(jQuery.browser.msie){
			var p = jQuery(this).find('img');
			var position = p.position();
			var PosTop= parseInt(p.css("margin-top"))+position.top;
			var PosLeft= parseInt(p.css("margin-left"))+position.left;
			if (!PosLeft) {PosLeft= position.left}; 
				jQuery(this).find('.imagemask').css({top: PosTop+2});
				jQuery(this).find('.imagemask').css({left: PosLeft+2});
			}
		
			jQuery('.imagemask', this).css({width:img_width,height:img_height,backgroundPosition:'right bottom'});
		
			if(jQuery.browser.msie){ jQuery('.imagemask', this).css({display:'none'});}
		});
	});
	
	var image_e= jQuery("a.imgeffect");
	
	if(jQuery.browser.msie){//ignore the shadow effect if browser IE
		jQuery(this).find('.imagemask').css({display:"none"});
		
		image_e.mouseover(function(){
			jQuery(this).find('.imagemask').stop().css({
			display:"block"
		}); 
		
		}).mouseout(function(){
			jQuery(this).find('.imagemask').stop().css({
			display:"none"
			} );
		});
		
	}else{//real browsers :)
		image_e.mouseover(function(){
			jQuery(this).find('.imagemask').stop().animate({
			display:"block", 
			opacity:1
		}, 0); 
		
		}).mouseout(function(){
			jQuery(this).find('.imagemask').stop().animate({
			display:"none",
			opacity:0
			}, 0 );
		});                  
	}

});



 
 
//validate contact form
jQuery(document).ready(function(){

	// show a simple loading indicator
	var loader = jQuery('<img src="'+rttheme_template_dir+'/images/loading.gif" alt="..." />')
		.appendTo(".loading")
		.hide(); 
      
     jQuery.validator.messages.required = "";

	var options = { 
		target:     '#result', 
		success:    function() { 
		   loader.hide();
		   v.resetForm();
		} 
	};
	
	var v = jQuery("#validate_form").validate({
		submitHandler: function(form) {
			loader.show();
			jQuery(form).ajaxSubmit(options);
		}
	});
      
	jQuery("#reset").click(function() {
		v.resetForm();
	});
	
});


//Slide to top
jQuery(document).ready(function(){
    jQuery(".line span.top").click(function() {
        jQuery('html, body').animate( { scrollTop: 0 }, 'slow' );
    });
}); 


//Social Media Icons
if(!jQuery.browser.msie){
jQuery(function() {
	jQuery('.social_media_icons img').each(function() {
		jQuery(this).hover(
			function() {
				jQuery(this).stop().animate({ opacity: 1.0 }, 400);
			},
			function() {
				jQuery(this).stop().animate({ opacity: 0.4 }, 400);
			})
		});
	});
}

//rounded images
if(!jQuery.browser.msie){
	jQuery(document).ready(function(){ 
		jQuery(".frame img").imgr({radius:"6px 6px 6px 6px"});  
	});
}

//scroll 
jQuery(document).ready(function(){
if (jQuery('div.taps_wrap').length>0){	
	var settings = { 
		autoReinitialise: true,
		maintainPosition:false
	};
	var pane = jQuery('div.taps_wrap .pane');
	pane.jScrollPane(settings);
}	
});  




 /*
 * jQuery Easing Compatibility v1 - http://gsgd.co.uk/sandbox/jquery.easing.php
 *
 * Adds compatibility for applications that use the pre 1.2 easing names
 *
 * Copyright (c) 2007 George Smith
 * Licensed under the MIT License:
 *   http://www.opensource.org/licenses/mit-license.php
 */

// check easing names
(function($){
	if(typeof easeIn != 'function'){

		jQuery.extend( jQuery.easing,
		{
			easeIn: function (x, t, b, c, d) {
				return jQuery.easing.easeInQuad(x, t, b, c, d);
			},
			easeOut: function (x, t, b, c, d) {
				return jQuery.easing.easeOutQuad(x, t, b, c, d);
			},
			easeInOut: function (x, t, b, c, d) {
				return jQuery.easing.easeInOutQuad(x, t, b, c, d);
			},
			expoin: function(x, t, b, c, d) {
				return jQuery.easing.easeInExpo(x, t, b, c, d);
			},
			expoout: function(x, t, b, c, d) {
				return jQuery.easing.easeOutExpo(x, t, b, c, d);
			},
			expoinout: function(x, t, b, c, d) {
				return jQuery.easing.easeInOutExpo(x, t, b, c, d);
			},
			bouncein: function(x, t, b, c, d) {
				return jQuery.easing.easeInBounce(x, t, b, c, d);
			},
			bounceout: function(x, t, b, c, d) {
				return jQuery.easing.easeOutBounce(x, t, b, c, d);
			},
			bounceinout: function(x, t, b, c, d) {
				return jQuery.easing.easeInOutBounce(x, t, b, c, d);
			},
			elasin: function(x, t, b, c, d) {
				return jQuery.easing.easeInElastic(x, t, b, c, d);
			},
			elasout: function(x, t, b, c, d) {
				return jQuery.easing.easeOutElastic(x, t, b, c, d);
			},
			elasinout: function(x, t, b, c, d) {
				return jQuery.easing.easeInOutElastic(x, t, b, c, d);
			},
			backin: function(x, t, b, c, d) {
				return jQuery.easing.easeInBack(x, t, b, c, d);
			},
			backout: function(x, t, b, c, d) {
				return jQuery.easing.easeOutBack(x, t, b, c, d);
			},
			backinout: function(x, t, b, c, d) {
				return jQuery.easing.easeInOutBack(x, t, b, c, d);
			}
		});
 
	}
})(jQuery);
