<?php
#-----------------------------------------
#	RT-Theme theme_functions.php
#	version: 1.0
#-----------------------------------------

#
# Add Class WP Menu - adds class for the first menu item
#
 
function add_class_first_item($menu){
	
	$find="\"><a ";
	$replace=" first\"><a ";
	return preg_replace('/'.$find.'/', $replace, $menu, 1); 
}


#
# Remove more link in excerpts 
#

function no_excerpt_more($more) {
	return '.. ';
}

#
# Get page count
#

function get_page_count(){
    global $wp_query;	
    $count=array('page_count'=>$wp_query->max_num_pages,'post_count'=>$wp_query->post_count);
    return $count;
}


#
# Pagination
#

function get_pagination($range = 7){
	global $paged, $wp_query;
	
	$max_page = $wp_query->max_num_pages;
	 
	if($max_page > 1){
	if(!$paged){
	  $paged = 1;
	}

	if ($paged > 1){
		echo "<li class=\"arrowleft\">";
		    previous_posts_link('&nbsp;');
		echo "</li>\n";
	}
	if($max_page > $range){
	if($paged < $range){
	  for($i = 1; $i <= ($range + 1); $i++){
		echo "<li";
		if($i==$paged) echo " class='active'";
		echo "><a href='" . get_pagenum_link($i) ."'>$i</a>";
		echo "</li>\n";
	  }
	}
	elseif($paged >= ($max_page - ceil(($range/2)))){
	  for($i = $max_page - $range; $i <= $max_page; $i++){
		echo "<li";
		if($i==$paged) echo " class='active'";
		echo "><a href='" . get_pagenum_link($i) ."'>$i</a>";
		echo "</li>\n";
	  }
	}
	elseif($paged >= $range && $paged < ($max_page - ceil(($range/2)))){
	  for($i = ($paged - ceil($range/2)); $i <= ($paged + ceil(($range/2))); $i++){
	    echo "<li";
	    if($i==$paged) echo " class='active'";
	    echo "><a href='" . get_pagenum_link($i) ."'>$i</a>";
	    echo "</li>\n";
	  }
	}
	}
	else{
	for($i = 1; $i <= $max_page; $i++){
	    echo "<li";
	    if($i==$paged) echo " class=\"active\" ";
	    echo "><a href='" . get_pagenum_link($i) ."'>$i</a>";
	    echo "</li>\n";
	}
	}
	if ($paged != $max_page){
	    echo "<li class=\"arrowright\">";
	    next_posts_link('&nbsp;');
	    echo "</li>\n";
	}
	
	}
}


#
# checks page reserved for blog product or portfolio
# 

function is_theme_page(){
    global $post;
    
    if($post->ID != BLOGPAGE && $post->ID !=PRODUCTPAGE && $post->ID !=PORTFOLIOTPAGE && is_page()){
	   return true;
    }
    
} 

#
# checks theme parts that reserved for blog
# 

function is_blog_page(){
    global $post; 
    
	if($post->ID == BLOGPAGE || is_category() || is_single() && $post->post_type!='products' && $post->post_type!='portfolio'  ){
	    return true;
	} 
}


#
# checks theme parts that reserved for products
# 

function is_product_page(){
    global $post,$taxonomy; 
    
    @$post->ID = wpml_page_id($post->ID);
    
	if($post->ID == PRODUCTPAGE || $taxonomy=="product_categories" || $post->post_type=='products'){
	    return true;
	} 

	//check default product template usage
	if(get_post_meta($post->ID, THEMESLUG.'custom_sidebar_position', true) == "templateid_003" ){
	    return true;
	}
}

#
# checks theme parts that reserved for portfolio
# 

function is_portfolio_page(){
    global $post,$taxonomy,$sidebar; 
  
    @$post->ID = wpml_page_id($post->ID);
    
	if($post->ID == PORTFOLIOPAGE || $taxonomy=="portfolio_categories" || $post->post_type=='portfolio'){
	    return true;
	}

	//check default porfolio template usage
	if(get_post_meta($post->ID, THEMESLUG.'custom_sidebar_position', true) == "templateid_002" ){
	    return true;
	}	
}

#
# checks theme parts that reserved for contact page
# 

function is_contact_page(){
    global $post; 
  
    @$post->ID = wpml_page_id($post->ID);
    
	if($post->ID == CONTACTPAGE){
	    return true;
	}

	//check default contact template usage
	if(get_post_meta($post->ID, THEMESLUG.'custom_sidebar_position', true) == "templateid_005" ){
	    return true;
	}		
}

#
# gets orginal paths of images when multi site mode active
#
function find_image_org_path($image) {
	if(is_multisite()){
		global $blog_id;
		if (isset($blog_id) && $blog_id > 0) {
			if(strpos($image,get_bloginfo('wpurl'))!==false){//image is local
				$the_image_path = get_current_site(1)->path.str_replace(get_blog_option($blog_id,'fileupload_url'),get_blog_option($blog_id,'upload_path'),$image);
			}else{
				$the_image_path = $image;
			}
		}else{
			$the_image_path = $image;
		}
	}else{
		$the_image_path = $image;
	}
	
	return $the_image_path;
}


#
# set selected theme style to body tag
#

function rt_body_class_name($classes) {
	$classes[] = get_option( THEMESLUG."_style" );
	$classes[] = get_option( THEMESLUG."_close_responsive" ) ? '' : 'responsive' ;	// responsive
	// return the $classes array
	return $classes;
}

#
# returns a post ID from a url
#

function rt_get_attachment_id_from_src ($image_src) { 
	global $wpdb; 
	$query = "SELECT ID FROM {$wpdb->posts} WHERE guid='$image_src'";
	$id    = $wpdb->get_var($query);
	return $id; 
}


#
# find orginal image url - clean thumbnail extensions
#

function rt_clean_thumbnail_ext ($image_src) { 
	$search = '#-\d+x\d+#';  
	return preg_replace($search, "", $image_src);
}


#
# Exclude some custom post types from search
#
function excludePostsfromSearch($query) { 
	if ($query->is_search) {
		if(!get_query_var("post_type")){
			$query->set('post_type', array("post","page","portfolio","products"));
			$query->set('posts_per_page', 10);
		}
	}
	return $query; 
}
if(!is_admin()) add_filter('pre_get_posts','excludePostsfromSearch');



#
# Replacement for get_adjacent_post()
#
# Default get_adjacent_post() not supports custom post taxonomies
#
#
function mod_get_adjacent_post($in_same_category = false, $previous = true, $excluded_categories = '', $taxonomy = '', $orderBy= '') {
	global $post, $wpdb;
    
	if ( empty( $post ) || ( !empty($taxonomy) && !taxonomy_exists( $taxonomy ) ) )
		   return null;

	$current_post_date = $post->post_date;

	$join = '';
	$posts_in_ex_cats_sql = '';
	if ( $in_same_category || !empty($excluded_categories) ) {
		   $join = " INNER JOIN $wpdb->term_relationships AS tr ON p.ID = tr.object_id INNER JOIN $wpdb->term_taxonomy tt ON tr.term_taxonomy_id = tt.term_taxonomy_id";

		   if ( $in_same_category ) {
				 $cat_array = wp_get_object_terms($post->ID, $taxonomy, array('fields' => 'ids'));
				 $join .= " AND tt.taxonomy = '".$taxonomy."' AND tt.term_id IN (" . implode(',', $cat_array) . ")";
		   }

		   $posts_in_ex_cats_sql = "AND tt.taxonomy = '".$taxonomy."'";
		   if ( !empty($excluded_categories) ) {
				 $excluded_categories = array_map('intval', explode(' and ', $excluded_categories));
				 if ( !empty($cat_array) ) {
					    $excluded_categories = array_diff($excluded_categories, $cat_array);
					    $posts_in_ex_cats_sql = '';
				 }

				 if ( !empty($excluded_categories) ) {
					    $posts_in_ex_cats_sql = " AND tt.taxonomy = '".$taxonomy."' AND tt.term_id NOT IN (" . implode($excluded_categories, ',') . ')';
				 }
		   }
	}

	$adjacent = $previous ? 'previous' : 'next';
	$op = $previous ? '<' : '>';
	$order = $previous ? 'DESC' : 'ASC';
	$orderBy = ($orderBy) ? "p.post_".$orderBy : "p.post_date";  // title or date

	$join  = apply_filters( "get_{$adjacent}_{$taxonomy}_join", $join, $in_same_category, $excluded_categories );
	$where = apply_filters( "get_{$adjacent}_{$taxonomy}_where", $wpdb->prepare("WHERE p.post_date $op %s AND p.post_type = %s AND p.post_status = 'publish' $posts_in_ex_cats_sql", $current_post_date, $post->post_type), $in_same_category, $excluded_categories );
	$sort  = apply_filters( "get_{$adjacent}_{$taxonomy}_sort", "ORDER BY $orderBy $order LIMIT 1" );

	$query = "SELECT p.* FROM $wpdb->posts AS p $join $where $sort";
	$query_key = "adjacent_{$taxonomy}_" . md5($query);
	$result = wp_cache_get($query_key, 'counts');
	if ( false !== $result )
		   return $result;

	$result = $wpdb->get_row("SELECT p.* FROM $wpdb->posts AS p $join $where $sort");
	if ( null === $result )
		   $result = '';

	wp_cache_set($query_key, $result, 'counts');
	return $result;
}


#
# Convert Hex values to RGB
#
function HexToRGB($hex) {
	$hex = ereg_replace("#", "", $hex);
	$color = array();
 
	if(strlen($hex) == 3) {
		$color['r'] = hexdec(substr($hex, 0, 1) . $r);
		$color['g'] = hexdec(substr($hex, 1, 1) . $g);
		$color['b'] = hexdec(substr($hex, 2, 1) . $b);
	}
	else if(strlen($hex) == 6) {
		$color['r'] = hexdec(substr($hex, 0, 2));
		$color['g'] = hexdec(substr($hex, 2, 2));
		$color['b'] = hexdec(substr($hex, 4, 2));
	}
	 
	return $color;
}


function browser_info($agent=null) {
  // Declare known browsers to look for
  $known = array('msie', 'firefox', 'safari', 'webkit', 'opera', 'netscape',
    'konqueror', 'gecko');

  // Clean up agent and build regex that matches phrases for known browsers
  // (e.g. "Firefox/2.0" or "MSIE 6.0" (This only matches the major and minor
  // version numbers.  E.g. "2.0.0.6" is parsed as simply "2.0"
  $agent = strtolower($agent ? $agent : $_SERVER['HTTP_USER_AGENT']);
  $pattern = '#(?<browser>' . join('|', $known) .
    ')[/ ]+(?<version>[0-9]+(?:\.[0-9]+)?)#';

  // Find all phrases (or return empty array if none found)
  if (!preg_match_all($pattern, $agent, $matches)) return array();

  // Since some UAs have more than one phrase (e.g Firefox has a Gecko phrase,
  // Opera 7,8 have a MSIE phrase), use the last one found (the right-most one
  // in the UA).  That's usually the most correct.
  $i = count($matches['browser'])-1;
  return array($matches['browser'][$i] => $matches['version'][$i]);
}




#
#   General Custom Styling
#
function rt_custom_styling(){ 

 	$rttheme_custom_css = "";



	#
	#   Top bar OFF
	#

	if(!get_option(THEMESLUG.'_top_bar')){
		$rttheme_custom_css .= '#wrapper{ background-position:center 0px!important; }';
	}

		
	#
	#   Custom Heading Colors
	#
	$rttheme_heading_color=get_option('rttheme_heading_color');
	if($rttheme_heading_color){
		$rttheme_custom_css .= 'h1,h2,h3,h4,h5,h6, h1 a, h2 a, h3, h4,h5,h6, h3 a, h4 a, h5 a, h6 a, h1 a:hover,h2 a:hover,h3 a:hover,h4 a:hover,h5 a:hover,h6 a:hover,.slide .desc b.title,.slide .desc b.title a{color:'.$rttheme_heading_color.' !important;}';
	}

	#
	#   Custom Body Font Color
	#
	$rttheme_body_font_color=get_option('rttheme_body_font_color');
	if($rttheme_body_font_color){
		$rttheme_custom_css .= 'body {color:'.$rttheme_body_font_color.';}';
	}

	#
	#   Custom Body Font Size
	#
	$rttheme_body_font_size=get_option('rttheme_body_font_size');
	if($rttheme_body_font_size){
		$rttheme_custom_css .= 'body {font-size:'.$rttheme_body_font_size.'px;line-height:160%;}';
	}

	#
	#   Custom Body Font Family
	#
	$rttheme_body_font_family=get_option('rttheme_body_font_family');
	if($rttheme_body_font_family){
		$rttheme_custom_css .= 'body {font-family:'.$rttheme_body_font_family.';}';
	}

	#
	#   Custom Menu Font Size
	#
	$rttheme_menu_font_size=get_option('rttheme_menu_font_size');
	if($rttheme_menu_font_size){
		$rttheme_custom_css .= '#navigation li {font-size:'.$rttheme_menu_font_size.'px;}';
	}

	#
	#   Custom Menu Font Color
	#
	$rttheme_menu_font_color=get_option('rttheme_menu_font_color');
	$rttheme_menu_font_color_hover=get_option('rttheme_menu_font_color_hover');
	if($rttheme_menu_font_color){ 
		$rttheme_custom_css .= '#navigation li a, #navigation li.current_page_item li a {color:'.$rttheme_menu_font_color.';}';
		if($rttheme_menu_font_color_hover){
			$rttheme_custom_css .= '#navigation li a:hover, #navigation li.current_page_item a, #navigation li.current_page_item li a:hover {color:'.$rttheme_menu_font_color_hover.';}';	
		} 
	}

	#
	#   Custom Slider Height
	#
	$rttheme_slider_height=get_option('rttheme_slider_height');
	$rttheme_slider_desc_height=$rttheme_slider_height-20;
	if($rttheme_slider_height){ 
		$rttheme_custom_css .= '#slider, #slider_area{ height:'.$rttheme_slider_height.'px; } .slide,.background_image,#slider_area .desc{ height:'.$rttheme_slider_desc_height.'px; }'; 
	}

	#
	#   Custom Heading Sizes
	#
	for ($i = 1; $i <= 6; $i++) {
		$this_heading=get_option('rttheme_h'.$i.'_font_size');
		if($this_heading){ 
			$rttheme_custom_css .= 'h'.$i.'{ font-size:'.$this_heading.'px;line-height:140%; }'; 
		}
	}

	#
	#   Custom Content Box Font Size
	#
	$rttheme_box_title_font_size=get_option('rttheme_box_title_font_size');
	if($rttheme_menu_font_size){
		$rttheme_custom_css .= '.title h4{font-size:'.$rttheme_box_title_font_size.'px;line-height:140%;}';
	}

	#
	#   Custom CSS Codes
	# 
	$rttheme_custom_css .= get_option(THEMESLUG.'_custom_css');

	#
	#  Wordpress Background
	#

	$background 		= get_background_image();
	$background_color 	= get_background_color();
	 
	if($background_color || $background){
		$rttheme_custom_css .= 'body,#wrapper{background-image:none;}';
	}


	/*
	*	Minify the css
	*/ 

	// Remove comments
	$rttheme_custom_css = preg_replace('#/\*.*?\*/#s', '', $rttheme_custom_css);
	// Remove whitespace
	$rttheme_custom_css = preg_replace('/\s*([{}|:;,])\s+/', '$1', $rttheme_custom_css);
	// Remove trailing whitespace at the start
	$rttheme_custom_css = preg_replace('/\s\s+(.*)/', '$1', $rttheme_custom_css);
	// Remove unnecesairy ;'s
	$rttheme_custom_css = str_replace(';}', '}', $rttheme_custom_css);  
	//Remove the tabs
	$rttheme_custom_css = str_replace("\t", "", $rttheme_custom_css); 

	$rttheme_custom_css = ! empty( $rttheme_custom_css ) ?  $rttheme_custom_css : "";	

	/*
	*	Add the inline css
	*/ 
	wp_add_inline_style( 'theme-style-colors', $rttheme_custom_css );
	
}

add_action( 'wp_enqueue_scripts', 'rt_custom_styling', 30 );


?>